<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.uiuipad.appstore"
    android:sharedUserId="android.uid.system">

    <uses-permission android:name="android.permission.KILL_BACKGROUND_PROCESSES" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <uses-permission android:name="android.permission.READ_SYNC_SETTINGS" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-permission android:name="android.permission.INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.DELETE_PACKAGES" />
    <uses-permission android:name="android.permission.MASTER_CLEAR" />
    <uses-permission android:name="android.permission.CHANGE_COMPONENT_ENABLED_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.RECEIVE_USER_PRESENT" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.GET_TASKS" />

    <application
        android:name="com.uiuipad.appstore.base.BaseApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:launchMode="singleTask"
        android:networkSecurityConfig="@xml/network"
        android:roundIcon="@mipmap/ic_launcher"
        android:supportsRtl="true"
        android:theme="@style/ImmerseTheme">
        <activity android:name="com.uiuipad.appstore.activity.ClassAppActivity" />
        <activity android:name="com.uiuipad.appstore.activity.MoreAppActivity" />
        <activity android:name="com.uiuipad.appstore.activity.ManagerAppActivity" />
        <activity
            android:name="com.uiuipad.appstore.activity.MainActivity"
            android:configChanges="keyboardHidden|screenSize"
            android:exported="true">
            <intent-filter>
                <category android:name="android.intent.category.DEFAULT" />
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.uiuipad.appstore.activity.PrivacyPolicyActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.uiuipad.appstore.activity.UserAgreementActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.uiuipad.appstore.activity.CopyrightActivity"
            android:screenOrientation="behind" />
        <activity
            android:name="com.uiuipad.appstore.activity.AboutActivity"
            android:screenOrientation="behind" />
        <activity
            android:name="com.uiuipad.appstore.activity.SearcherActivity"
            android:screenOrientation="behind" />
        <activity
            android:name="com.uiuipad.appstore.activity.HintActivity"
            android:launchMode="singleTask"
            android:screenOrientation="sensor"
            android:theme="@style/activity_styles" />
        <activity
            android:name="com.uiuipad.appstore.activity.KindDetailActivity"
            android:screenOrientation="behind" />
        <activity
            android:name="com.uiuipad.appstore.activity.DetailsActivity"
            android:screenOrientation="behind" />
        <activity
            android:name="com.uiuipad.appstore.activity.LocalManagerActivity"
            android:screenOrientation="behind" />
        <activity
            android:name="com.uiuipad.appstore.activity.DownloadManagerActivity"
            android:screenOrientation="behind" />

        <service android:name="com.uiuipad.appstore.service.DownloadService" />
        <service
            android:name="com.uiuipad.appstore.service.main.MainService"
            android:enabled="true"
            android:exported="true" />

        <receiver
            android:name="com.uiuipad.appstore.receiver.BootReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter android:priority="1000">
                <action android:name="android.intent.action.BOOT_COMPLETED" />
            </intent-filter>
        </receiver>
        <receiver
            android:name="com.uiuipad.appstore.receiver.AppManagerReceiver"
            android:enabled="true"
            android:exported="true"
            android:permission="com.example.broadcast.permission">
            <intent-filter android:priority="1000">
                <action android:name="android.intent.action.PACKAGE_ADDED" />
                <action android:name="android.intent.action.PACKAGE_REPLACED" />
                <action android:name="android.intent.action.PACKAGE_REMOVED" />
                <action android:name="android.intent.action.USER_PRESENT" />
                <action android:name="android.intent.action.BATTERY_CHANGED" />

                <data android:scheme="package" />
            </intent-filter>
        </receiver>
        <receiver
            android:name="com.uiuipad.appstore.receiver.InstallResultReceiver"
            android:enabled="true"
            android:exported="true" />
        <receiver
            android:name="com.uiuipad.appstore.receiver.NewAppReceiver"
            android:enabled="true"
            android:exported="true"
            android:permission="com.example.broadcast.permission">
            <intent-filter android:priority="1000">
                <action android:name="android.intent.action.PACKAGE_ADDED" />
                <action android:name="android.intent.action.PACKAGE_REPLACED" />
                <action android:name="android.intent.action.PACKAGE_REMOVED" />

                <data android:scheme="package" />
            </intent-filter>
        </receiver>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.uiuipad.appstore.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>


    </application>

</manifest>